Centos5.4中Yum升级mysql5.1和php5.2(禁止php5.3)

  • 内容
  • 评论
  • 相关

找到一个yum源,有php5.2,方法如下:

http://www.webtatic.com/blog/2009/06/php-530-on-centos-5/

rpm --import http://repo.webtatic.com/yum/RPM-GPG-KEY-webtatic-andy

wget -P /etc/yum.repos.d/ http://repo.webtatic.com/yum/webtatic.repo

yum --enablerepo=webtatic list php

发现有php5.2 和 php5.3可以升级,

OK,我们vi /etc/yum.conf 禁止升级php5.3

vi /etc/yum.conf

最后一行增加

exclude=php*5.3*

或者:

yum --enablerepo=webtatic --exclude=php*5.3* list php

yum --enablerepo=webtatic --exclude=php*5.3* update -y php

 

执行: yum --enablerepo=webtatic install php -y